Skip to main content
GET
/
api
/
v1
/
sessions
cURL
curl --request GET \
  --url https://api.staging.qyl.dev/api/v1/sessions
import requests

url = "https://api.staging.qyl.dev/api/v1/sessions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.staging.qyl.dev/api/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "session.id": "<string>",
      "start_time": "2023-11-07T05:31:56Z",
      "trace_count": 1,
      "span_count": 1,
      "error_count": 1,
      "services": [
        "<string>"
      ],
      "user.id": "<string>",
      "end_time": "2023-11-07T05:31:56Z",
      "duration_ms": 1,
      "client": {
        "ip": "<string>",
        "user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36",
        "os": "<string>",
        "browser": "<string>",
        "browser_version": "<string>"
      },
      "geo": {
        "country_code": "<string>",
        "country_name": "<string>",
        "region": "<string>",
        "city": "<string>",
        "postal_code": "<string>",
        "timezone": "<string>"
      },
      "genai_usage": {
        "request_count": 1,
        "total_input_tokens": 1,
        "total_output_tokens": 1,
        "models_used": [
          "<string>"
        ],
        "providers_used": [
          "<string>"
        ],
        "estimated_cost_usd": 123
      }
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "prev_cursor": "<string>"
}
{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}

Query Parameters

userId
string

User ID filter User identifier (pseudonymized for privacy)

Required string length: 1 - 256
isActive
boolean

Is active filter

startTime
string<date-time>

Start time

endTime
string<date-time>

End time

limit
integer<int32>
default:100

Page size

Required range: 1 <= x <= 1000
cursor
string

Cursor

Response

The request has succeeded.

Cursor-based paginated response wrapper

items
object[]
required

List of items in this page

has_more
boolean
required

Whether there are more items available

next_cursor
string

Cursor for the next page (null if no more pages)

prev_cursor
string

Cursor for the previous page (null if first page)